#### ssl::context_base::method

Different methods supported by a context.

    enum method

###### Values

sslv2

  Generic SSL version 2.

sslv2_client

  SSL version 2 client.

sslv2_server

  SSL version 2 server.

sslv3

  Generic SSL version 3.

sslv3_client

  SSL version 3 client.

sslv3_server

  SSL version 3 server.

tlsv1

  Generic TLS version 1.

tlsv1_client

  TLS version 1 client.

tlsv1_server

  TLS version 1 server.

sslv23

  Generic SSL/TLS.

sslv23_client

  SSL/TLS client.

sslv23_server

  SSL/TLS server.

tlsv11

  Generic TLS version 1.1.

tlsv11_client

  TLS version 1.1 client.

tlsv11_server

  TLS version 1.1 server.

tlsv12

  Generic TLS version 1.2.

tlsv12_client

  TLS version 1.2 client.

tlsv12_server

  TLS version 1.2 server.

tlsv13

  Generic TLS version 1.3.

tlsv13_client

  TLS version 1.3 client.

tlsv13_server

  TLS version 1.3 server.

tls

  Generic TLS.

tls_client

  TLS client.

tls_server

  TLS server.